/***************************************************************************
                          factors.h  -  description
                             -------------------
    begin                : Fre Apr 12 2002
    copyright            : (C) 2002 by Birgit Schulz
    email                : B.Schulz@Superlehrer.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FACTORS_H
#define FACTORS_H

#include <qwidget.h>
#include <qstring.h>

#include <ui_FactorsD.h>


/**
  *@author Birgit Schulz
  */

class Factors : public FactorsD
{
    Q_OBJECT
public:
    Factors(QWidget *parent=0, const char *name=0);
    ~Factors();

    enum EFunctions {Factorize, FindFactors, FindHCF, FindLCM, ProvePrime, FindPrime};

protected:
    EFunctions m_eSelected;


protected slots:
    void slotCalculate();
    void slotClear();

    void slotShowFactorsFactorize();
    void slotShowFactorsFactors();
    void slotShowFactorsFindHCF();
    void slotShowFactorsFindLCM();
    void slotShowFactorsProvePrime();
    void slotShowFactorsFindPrime();
};



#endif
